import { OnInit } from '@angular/core';
import { Printer } from '@colijnit/mainapi/build/model/printer.bo';
import { SharedService } from '../../../../service/shared.service';
import { IconCacheService } from '../../../../service/icon-cache.service';
import { Icon } from '../../../../enum/icon.enum';
import { SendMethodService } from '../../service/send-method.service';
export declare class PrinterSelectionComponent implements OnInit {
    sendMethodService: SendMethodService;
    iconService: IconCacheService;
    private _service;
    readonly icons: typeof Icon;
    private _defaultPrinter;
    printers: Printer[];
    set defaultPrinter(printer: Printer);
    showClass(): boolean;
    showPrinterList: boolean;
    printerModel: Printer;
    constructor(sendMethodService: SendMethodService, iconService: IconCacheService, _service: SharedService);
    ngOnInit(): void;
    handlePrinterClicked(printer: Printer): void;
    closePrinterClicked(): void;
}
